Cannot redeclare class config

3 innlegg i emnet

Skrevet

Hei, jeg har en php-pakke med mange php filer i en.

Jeg la den opp på serveren min med php5 og fikk følgende:

Warning: main() [function.main]: open_basedir restriction in effect. File(/config.php) is not within the allowed path(s): (/home/web/wno68384:/var/tmp:/usr/local/lib/php) in /usr/home/web/wno68384/admin/include/data.php on line 1

Warning: main(config.php) [function.main]: failed to open stream: Operation not permitted in /usr/home/web/wno68384/admin/include/data.php on line 1

Warning: main() [function.include]: Failed opening 'config.php' for inclusion (include_path='.:') in /usr/home/web/wno68384/admin/include/data.php on line 1

Warning: main() [function.main]: open_basedir restriction in effect. File(/data.php) is not within the allowed path(s): (/home/web/wno68384:/var/tmp:/usr/local/lib/php) in /usr/home/web/wno68384/admin/include/nav.php on line 2

Warning: main(data.php) [function.main]: failed to open stream: Operation not permitted in /usr/home/web/wno68384/admin/include/nav.php on line 2

Warning: main() [function.include]: Failed opening 'data.php' for inclusion (include_path='.:') in /usr/home/web/wno68384/admin/include/nav.php on line 2

Warning: main(http://*sensurert*.com/projects/*sensurert*/1.1/news.php'>http://*sensurert*.com/projects/*sensurert*/1.1/news.php) [function.main]: failed to open stream: HTTP request failed! HTTP/1.1 500 Internal Server Error in /usr/home/web/wno68384/admin/main.php on line 9

Warning: main() [function.include]: Failed opening 'http://*sensurert*.com/projects/*sensurert*/1.1/news.php'>http://*sensurert*.com/projects/*sensurert*/1.1/news.php' for inclusion (include_path='.:') in /usr/home/web/wno68384/admin/main.php on line 9

Så jeg la den inn på serveren min med php4 lokalt og fikk

Fatal error: Cannot redeclare class config in C:\Programfiler\xampp\php\pear\Config.php on line 43

Hva er det som ikke funker her?

Har det noe med php versjoen å gjøre?

Det er så mange filer at det vil ta evigheter å legge dem opp.

Jeg vil helst kjøre den på serveren min, jeg har ikke tilgang til å endre php versjon på den.

Men på lokal server kan jeg endre den, og da endre jeg til php5 og fikk samme feilmelding, men med layouten, som på den serveren min som ikke er lokal.

0

Del dette innlegget


Lenke til innlegg
Del på andre sider

Skrevet

Dersom det er snakk om en spesifikk programvarepakke som du ikke kan eller vil endre på vil det kanskje hjelpe andre her på forumet dersom du forteller hva det er du prøver å installere. I slike tilfeller er det som regel mest fordelaktig å se på den første feilmeldingen og dette er en melding som blir utløst av sikkerhetsmodusen i php (safe_mode) - er pakken ment å skulle fungere sammen med safe_mode eller er den feilkonfigurert?

0

Del dette innlegget


Lenke til innlegg
Del på andre sider

Skrevet

Det vet jeg ikke, det står det ingenting om.

I FAQ til webhotellet står det at SAE MODE er på og det kan ikke endres.

0

Del dette innlegget


Lenke til innlegg
Del på andre sider

Opprett en konto eller logg inn for å kommentere

Du må være et medlem for å kunne skrive en kommentar

Opprett konto

Det er enkelt å melde seg inn for å starte en ny konto!


Start en konto

Logg inn

Har du allerede en konto? Logg inn her.


Logg inn nå

  • Hvem er aktive   0 medlemmer

    Ingen innloggede medlemmer aktive